ch.qos.logback.core.status

## Class OnErrorConsoleStatusListener

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.status.OnPrintStreamStatusListenerBase
    - - ch.qos.logback.core.status.OnErrorConsoleStatusListener

All Implemented Interfaces:
  ContextAware, LifeCycle, StatusListener

    public class OnErrorConsoleStatusListener
    extends OnPrintStreamStatusListenerBase

Print all new incoming status messages on the error console (System.err).

Since:
  1.0.8
Author:
  Ceki Gülcü

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`OnErrorConsoleStatusListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected PrintStream` `getPrintStream()` The PrintStream used by derived classes

### Methods inherited from class ch.qos.logback.core.status.OnPrintStreamStatusListenerBase

`addStatusEvent, getPrefix, getRetrospective, isStarted, setPrefix, setRetrospective, start, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OnErrorConsoleStatusListener

    public OnErrorConsoleStatusListener()

### Method Detail

#### getPrintStream

    protected PrintStream getPrintStream()

Description copied from class: `OnPrintStreamStatusListenerBase`
The PrintStream used by derived classes

Specified by:
  `getPrintStream` in class `OnPrintStreamStatusListenerBase`
Returns: